Get Batch Scrape Status
curl --request GET \
--url https://api.blat.ai/batch/scrape/{batch_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.blat.ai/batch/scrape/{batch_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.blat.ai/batch/scrape/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processed": 6,
"total": 1,
"expires_at": "expires_at",
"data": [
{
"extracted_links": [
"extracted_links",
"extracted_links"
],
"metadata": {
"status_code": 0,
"final_url": "final_url",
"batch_id": "batch_id",
"job_id": "job_id",
"url": "url"
},
"success": true,
"error_code": "error_code",
"error": "error",
"content": "content"
},
{
"extracted_links": [
"extracted_links",
"extracted_links"
],
"metadata": {
"status_code": 0,
"final_url": "final_url",
"batch_id": "batch_id",
"job_id": "job_id",
"url": "url"
},
"success": true,
"error_code": "error_code",
"error": "error",
"content": "content"
}
],
"status": "status"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}Scrape Endpoints
Get Batch Scrape Status
Returns the status and results of a batch scraping job. Results are returned in batches of 10 (if available).
GET
/
batch
/
scrape
/
{batch_id}
Get Batch Scrape Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Batch ID
Query Parameters
Starting index for job results (default: 0)
Body
application/json
The body is of type object.
⌘I